Get all ZFS datasets
GET
/zfs/datasets
const url = 'https://sylve.lan:8181/api/zfs/datasets?type=ALL';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://sylve.lan:8181/api/zfs/datasets?type=ALL' \ --header 'Authorization: <Authorization>'Get all ZFS datasets
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”type
string
Dataset type
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
available
integer
compressratio
number
createtxg
string
guid
string
mountpoint
string
name
string
pool
string
properties
object
key
additional properties
object
source
object
data
string
type
string
value
string
referenced
integer
type
string
used
integer
error
string
message
string
status
string
Example
{ "data": [ { "type": "ALL" } ]}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}